summaryrefslogtreecommitdiffstats
path: root/abs/extra/sysstat/sysstat
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/sysstat/sysstat')
-rw-r--r--abs/extra/sysstat/sysstat21
1 files changed, 21 insertions, 0 deletions
diff --git a/abs/extra/sysstat/sysstat b/abs/extra/sysstat/sysstat
new file mode 100644
index 0000000..d8e312a
--- /dev/null
+++ b/abs/extra/sysstat/sysstat
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Writing SysStat restart record"
+ /usr/lib/sa/sadc -L -F -
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "usage: $0 {start|stop}"
+esac
+exit 0